!******************************************************************************!
!                                                                              !
!    fill_ctcouplings12.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings12.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 05/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-15 15:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings12
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl12()
      coupl(nGC_6510) = coupl(nGC_61)*(dZcR_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_7185) = coupl(nGC_114)*dZdL_QCD2/2d0 + coupl(nGC_114)*dZsR_QCD2&
                        /2d0 + coupl(nGC_4401)
      coupl(nGC_8397) = coupl(nGC_MI)*dZcL_QCD2
      coupl(nGC_6810) = coupl(nGC_13)*dZH + coupl(nGC_4343)
      coupl(nGC_4555) = coupl(nGC_4554)*dsw_
      coupl(nGC_4251) = coupl(nGC_11)**2d0*sq2**2d0*(cMB*coupl(nGC_94) + cMC*  &
                        coupl(nGC_95) + cMD*coupl(nGC_101) + cMS*coupl(nGC_113 &
                        ) + cMT*coupl(nGC_118) + cMU*coupl(nGC_123))/(16d0*pi**&
                        2d0*Nc)
      coupl(nGC_4250) = coupl(nGC_11)**2d0*sq2**2d0*(-cMB*coupl(nGC_94) - cMC* &
                        coupl(nGC_95) - cMD*coupl(nGC_101) - cMS*coupl(nGC_113 &
                        ) - cMT*coupl(nGC_118) - cMU*coupl(nGC_123))/(16d0*pi**&
                        2d0)
      coupl(nGC_4257) = coupl(nGC_11)**2d0*coupl(nGC_63)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_6737) = coupl(nGC_4381) + coupl(nGC_83)*dZH/2d0
      coupl(nGC_7048) = coupl(nGC_4438) + coupl(nGC_7046)
      coupl(nGC_7047) = -coupl(nGC_4438) - coupl(nGC_7046)
      coupl(nGC_7516) = coupl(nGC_4645) + coupl(nGC_MZ)*dZZ
      coupl(nGC_6970) = coupl(nGC_4638) + coupl(nGC_6967)
      coupl(nGC_7513) = coupl(nGC_MI)*dZZ
      coupl(nGC_6897) = coupl(nGC_126)*dZsL_QCD2/2d0 + coupl(nGC_126)*dZuR_QCD2&
                        /2d0 + coupl(nGC_4452)
      coupl(nGC_6893) = coupl(nGC_4617) + coupl(nGC_74)*dZZ/2d0
      coupl(nGC_6892) = coupl(nGC_4620) + coupl(nGC_78)*dZZ/2d0
      coupl(nGC_9844) = 3d0*coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_4383)
      coupl(nGC_7462) = coupl(nGC_109)*(dZmuMinusL + dZmuMinusR)/2d0
      coupl(nGC_7465) = coupl(nGC_4443) + coupl(nGC_7462)
      coupl(nGC_7464) = -coupl(nGC_4443) - coupl(nGC_7462)
      coupl(nGC_6554) = coupl(nGC_4565) + coupl(nGC_48)*dZWpMinus/2d0
      coupl(nGC_4483) = coupl(nGC_4482)*dsw_
      coupl(nGC_4374) = coupl(nGC_4372)*dMW2 + coupl(nGC_4373)*dsw_
      coupl(nGC_4377) = coupl(nGC_4375)*dMZ2 + coupl(nGC_4376)*dsw_
      coupl(nGC_6419) = coupl(nGC_4521) + coupl(nGC_85)*dZZ
      coupl(nGC_6366) = coupl(nGC_MI)*dZWpMinus
      coupl(nGC_6410) = coupl(nGC_125)*dZdL_QCD2/2d0 + coupl(nGC_125)*dZuR_QCD2&
                        /2d0 + coupl(nGC_4389)
      coupl(nGC_6369) = coupl(nGC_4647) + coupl(nGC_MWp)*dZWpMinus
      coupl(nGC_4518) = coupl(nGC_4516)*dcw_ + coupl(nGC_4517)*dsw_
      coupl(nGC_4455) = coupl(nGC_4454)*dyup_QED1_QCD2
      coupl(nGC_6524) = coupl(nGC_4623) + coupl(nGC_77)*dZZ/2d0
      coupl(nGC_6523) = coupl(nGC_4626) + coupl(nGC_73)*dZZ/2d0
      coupl(nGC_7085) = coupl(nGC_122)*dZH/2d0 + coupl(nGC_4450)
      coupl(nGC_8687) = coupl(nGC_MT)*(dZtL_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_6529) = coupl(nGC_11)*dZg_QCD2/2d0 + coupl(nGC_4606)
      coupl(nGC_4581) = coupl(nGC_4580)*dsw_
      coupl(nGC_4587) = coupl(nGC_4586)*dsw_
      coupl(nGC_4585) = coupl(nGC_4584)*dsw_
      coupl(nGC_7164) = coupl(nGC_4494) + coupl(nGC_89)*dZH/2d0 + coupl(nGC_89 &
                        )*dZWMinus
      coupl(nGC_8513) = -2d0*coupl(nGC_8502)
      coupl(nGC_6934) = coupl(nGC_26)*dZZ/2d0 + coupl(nGC_4364)
      coupl(nGC_6935) = -coupl(nGC_6934)
      coupl(nGC_4207) = cima*(-cMB*coupl(nGC_45)*coupl(nGC_63) - cMC*coupl(    &
                        nGC_2)**2d0 - cMC*coupl(nGC_74)*coupl(nGC_78) - cMD*   &
                        coupl(nGC_43)*coupl(nGC_61) - cMS*coupl(nGC_44)*coupl( &
                        nGC_62))/(8d0*pi**2d0)
      coupl(nGC_4201) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_58)**2d0 - coupl( &
                        nGC_61)**2d0 - coupl(nGC_64)**2d0 - coupl(nGC_73)**2d0 &
                        )/(16d0*pi**2d0)
      coupl(nGC_7603) = coupl(nGC_4434) + coupl(nGC_7602)
      coupl(nGC_7012) = coupl(nGC_4555) + coupl(nGC_63)*dZWpMinus/2d0
      coupl(nGC_6481) = coupl(nGC_30)*dZA/2d0 + coupl(nGC_30)*dZWMinus + coupl(&
                        nGC_30)*dZZ/2d0 + coupl(nGC_4518)
      coupl(nGC_6482) = -coupl(nGC_6481)/2d0
      coupl(nGC_6379) = coupl(nGC_29)*dZA/2d0 + coupl(nGC_29)*dZWMinus/2d0 +   &
                        coupl(nGC_4476)
    end subroutine fill_CTcouplings_mdl12
end module fill_ctcouplings12
