!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 05/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-15 15:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl2()
      coupl(nGC_4470) = coupl(nGC_4469)*dyt_QED1_QCD2
      coupl(nGC_4575) = coupl(nGC_4574)*dsw_
      coupl(nGC_4573) = coupl(nGC_4572)*dsw_
      coupl(nGC_4571) = coupl(nGC_4570)*dsw_
      coupl(nGC_6959) = coupl(nGC_6)*dZA
      coupl(nGC_6682) = coupl(nGC_123)*(dZuL_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_7153) = coupl(nGC_120)*dZnu_tauL/2d0 + coupl(nGC_120)*         &
                        dZtauMinusR/2d0 + coupl(nGC_4446)
      coupl(nGC_6484) = coupl(nGC_40)*(dZdL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_6487) = coupl(nGC_58)*(dZdR_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_7368) = coupl(nGC_4)*dZeMinusL
      coupl(nGC_7367) = coupl(nGC_4)*dZeMinusR
      coupl(nGC_7393) = coupl(nGC_11)*dZcR_QCD2
      coupl(nGC_7392) = coupl(nGC_11)*dZcL_QCD2
      coupl(nGC_4355) = coupl(nGC_4354)*dMW2
      coupl(nGC_4350) = coupl(nGC_4348)*dvev_QEDM1 + coupl(nGC_4349)*dlam_QED2
      coupl(nGC_4358) = coupl(nGC_4356)*dMW2 + coupl(nGC_4357)*dsw_
      coupl(nGC_6431) = coupl(nGC_1)*dZsR_QCD2
      coupl(nGC_6430) = coupl(nGC_1)*dZA/2d0
      coupl(nGC_4599) = coupl(nGC_4598)*dsw_
      coupl(nGC_6388) = coupl(nGC_103)*dZdR_QCD2/2d0 + coupl(nGC_103)*dZsL_QCD2&
                        /2d0 + coupl(nGC_4407)
      coupl(nGC_4610) = coupl(nGC_4609)*dsw_
      coupl(nGC_4614) = coupl(nGC_4613)*dsw_
      coupl(nGC_4533) = coupl(nGC_4532)*dsw_
      coupl(nGC_4531) = coupl(nGC_4529)*dcw_ + coupl(nGC_4530)*dsw_
      coupl(nGC_7692) = coupl(nGC_77)*dZsL_QCD2
      coupl(nGC_4537) = coupl(nGC_4536)*dsw_
      coupl(nGC_4535) = coupl(nGC_4534)*dsw_
      coupl(nGC_4539) = coupl(nGC_4538)*dsw_
      coupl(nGC_4436) = -cima*dye_QED1
      coupl(nGC_4435) = coupl(nGC_4433)*dyb_QED1
      coupl(nGC_4434) = coupl(nGC_4433)*dyb_QED1_QCD2
      coupl(nGC_7084) = coupl(nGC_122)*(dZtauMinusL + dZtauMinusR)/2d0
      coupl(nGC_6642) = coupl(nGC_4573) + coupl(nGC_50)*dZWpMinus/2d0 + coupl( &
                        nGC_50)*dZmuMinusR/2d0 + coupl(nGC_50)*dZnu_eR/2d0
      coupl(nGC_4224) = coupl(nGC_11)**2d0*coupl(nGC_125)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4225) = coupl(nGC_11)**2d0*coupl(nGC_126)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4231) = coupl(nGC_100)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_179) = cima/(2d0*cMW)
      coupl(nGC_4232) = coupl(nGC_104)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9097) = -coupl(nGC_4471)
      coupl(nGC_6860) = coupl(nGC_124)*(dZuL_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_6528) = coupl(nGC_11)*dZtL_QCD2
      coupl(nGC_4589) = coupl(nGC_4588)*dsw_
      coupl(nGC_6963) = coupl(nGC_24)*(dZdL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_4644) = -cima*dMB_QCD2
      coupl(nGC_4645) = cima*dMZ2
      coupl(nGC_4646) = cima*dMW2
      coupl(nGC_6805) = coupl(nGC_1)*dZbR_QCD2
      coupl(nGC_4648) = coupl(nGC_179)*dMW2
      coupl(nGC_4640) = -cima*dMC_QCD2
      coupl(nGC_4642) = -cima*dMD_QCD2
    end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
