!******************************************************************************!
!                                                                              !
!    fill_ctcouplings4.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings4.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 05/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-15 15:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl4()
      coupl(nGC_7004) = -coupl(nGC_4465)
      coupl(nGC_9073) = coupl(nGC_4)*dZmuMinusR
      coupl(nGC_6786) = coupl(nGC_44)*(dZcL_QCD2 + dZsL_QCD2)/2d0
      coupl(nGC_4321) = sq2**3d0*(-11d0*Nc*cima*coupl(nGC_10)**3d0 - 48d0*coupl&
                        (nGC_11)**3d0)/(768d0*pi**2d0)
      coupl(nGC_4320) = sq2**3d0*(11d0*Nc*cima*coupl(nGC_10)**3d0 + 48d0*coupl(&
                        nGC_11)**3d0)/(768d0*pi**2d0)
      coupl(nGC_4327) = coupl(nGC_11)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(nGC_10&
                        ) - coupl(nGC_11))/(64d0*pi**2d0*Nc)
      coupl(nGC_4324) = coupl(nGC_11)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_10 &
                        ) + coupl(nGC_11))/(64d0*pi**2d0*Nc**2d0)
      coupl(nGC_6588) = coupl(nGC_72)*(dZsL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_6850) = coupl(nGC_42)*(dZbL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_4240) = coupl(nGC_1013)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 - &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_6584) = coupl(nGC_4571) + coupl(nGC_49)*dZWpMinus/2d0 + coupl( &
                        nGC_49)*dZeMinusR/2d0 + coupl(nGC_49)*dZnu_eR/2d0
      coupl(nGC_6855) = coupl(nGC_I)*dZH
      coupl(nGC_6999) = coupl(nGC_96)*(dZcL_QCD2 + dZcR_QCD2)/2d0
      coupl(nGC_8300) = coupl(nGC_74)*dZcR_QCD2
      coupl(nGC_8303) = coupl(nGC_11)*dZdL_QCD2
      coupl(nGC_8302) = coupl(nGC_11)*dZdR_QCD2
      coupl(nGC_6390) = coupl(nGC_103)*dZH/2d0 + coupl(nGC_4408)
      coupl(nGC_4601) = coupl(nGC_4600)*dsw_
      coupl(nGC_4603) = coupl(nGC_4602)*dsw_
      coupl(nGC_4608) = coupl(nGC_4607)*dsw_
      coupl(nGC_4241) = coupl(nGC_11)**2d0*coupl(nGC_124)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4428) = -cima*dyb_QED1_QCD2
      coupl(nGC_4429) = -cima*dyb_QED1
      coupl(nGC_4421) = coupl(nGC_4420)*dys_QED1_QCD2
      coupl(nGC_4422) = coupl(nGC_4420)*dys_QED1
      coupl(nGC_4424) = coupl(nGC_4423)*dys_QED1_QCD2
      coupl(nGC_4425) = coupl(nGC_4423)*dys_QED1
      coupl(nGC_4426) = cima*dyt_QED1_QCD2
      coupl(nGC_4427) = cima*dyt_QED1
      coupl(nGC_6456) = coupl(nGC_3)*(dZA + 2d0*dZWMinus)/2d0
      coupl(nGC_6454) = coupl(nGC_4595) + coupl(nGC_55)*dZWpMinus/2d0 + coupl( &
                        nGC_55)*dZeMinusR/2d0 + coupl(nGC_55)*dZnu_tauR/2d0
      coupl(nGC_6518) = coupl(nGC_73)*dZdR_QCD2
      coupl(nGC_6513) = coupl(nGC_43)*(dZcL_QCD2 + dZdL_QCD2)/2d0
      coupl(nGC_8398) = coupl(nGC_MC)*(dZcL_QCD2 + dZcR_QCD2)/2d0
      coupl(nGC_4368) = coupl(nGC_4365)*dcw_ + coupl(nGC_4366)*dMW2 + coupl(   &
                        nGC_4367)*dsw_
      coupl(nGC_4557) = coupl(nGC_4556)*dsw_
      coupl(nGC_4551) = coupl(nGC_4550)*dsw_
      coupl(nGC_7503) = coupl(nGC_11)*dZbR_QCD2
      coupl(nGC_4253) = coupl(nGC_11)**2d0*coupl(nGC_71)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4252) = coupl(nGC_11)**2d0*coupl(nGC_23)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4256) = coupl(nGC_11)**2d0*coupl(nGC_45)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4255) = coupl(nGC_11)**2d0*coupl(nGC_72)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_7670) = coupl(nGC_11)*dZuL_QCD2
      coupl(nGC_6549) = coupl(nGC_48)*(dZbL_QCD2 + dZtL_QCD2)/2d0
      coupl(nGC_7673) = coupl(nGC_11)*dZuR_QCD2
      coupl(nGC_4245) = coupl(nGC_103)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_7504) = coupl(nGC_11)*dZbL_QCD2
      coupl(nGC_7040) = coupl(nGC_108)*dZmuMinusR/2d0 + coupl(nGC_108)*dZnu_muL&
                        /2d0 + coupl(nGC_4441)
      coupl(nGC_7046) = coupl(nGC_106)*(dZeMinusL + dZeMinusR)/2d0
      coupl(nGC_6973) = coupl(nGC_23)*dZWMinus/2d0 + coupl(nGC_23)*dZnu_tauL/  &
                        2d0 + coupl(nGC_23)*dZtauMinusL/2d0 + coupl(nGC_4614)
    end subroutine fill_CTcouplings_mdl4
end module fill_ctcouplings4
