!******************************************************************************!
!                                                                              !
!    fill_ctcouplings7.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings7.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 05/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-15 15:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings7
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl7()
      coupl(nGC_6440) = coupl(nGC_4646) + coupl(nGC_MW)*dZWMinus
      coupl(nGC_6443) = coupl(nGC_93)*(dZbL_QCD2 + dZbR_QCD2)/2d0
      coupl(nGC_6563) = coupl(nGC_19)*dZWMinus + coupl(nGC_19)*dZZ + coupl(    &
                        nGC_4531)
      coupl(nGC_6560) = -coupl(nGC_6559)
      coupl(nGC_6566) = coupl(nGC_24)*(dZcL_QCD2 + dZsL_QCD2)/2d0
      coupl(nGC_6564) = -2d0*coupl(nGC_6563)
      coupl(nGC_4561) = coupl(nGC_4560)*dsw_
      coupl(nGC_4563) = coupl(nGC_4562)*dsw_
      coupl(nGC_4565) = coupl(nGC_4564)*dsw_
      coupl(nGC_6626) = coupl(nGC_118)*(dZtL_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_4243) = coupl(nGC_11)**2d0*coupl(nGC_95)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4244) = coupl(nGC_101)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4246) = coupl(nGC_11)**2d0*coupl(nGC_115)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4247) = coupl(nGC_11)**2d0*coupl(nGC_113)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_8502) = 2d0*coupl(nGC_12)*dZg_QCD2 + coupl(nGC_4385)
      coupl(nGC_7117) = coupl(nGC_2)*dZtL_QCD2
      coupl(nGC_9074) = coupl(nGC_6547) + coupl(nGC_9073)
      coupl(nGC_7118) = coupl(nGC_2)*dZtR_QCD2
      coupl(nGC_9072) = coupl(nGC_4)*dZmuMinusL
      coupl(nGC_8171) = coupl(nGC_121)*(dZtauMinusL + dZtauMinusR)/2d0
      coupl(nGC_7808) = coupl(nGC_MI)*dZbR_QCD2
      coupl(nGC_6948) = coupl(nGC_113)*dZH/2d0 + coupl(nGC_4425)
      coupl(nGC_6940) = coupl(nGC_4528) + coupl(nGC_91)*dZH/2d0 + coupl(nGC_91 &
                        )*dZZ
      coupl(nGC_6943) = coupl(nGC_113)*(dZsL_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_6947) = coupl(nGC_4424) + coupl(nGC_6943)
      coupl(nGC_6695) = coupl(nGC_34)*dZWpMinus/2d0 + coupl(nGC_34)*dZeMinusL/ &
                        2d0 + coupl(nGC_34)*dZnu_muL/2d0 + coupl(nGC_4583)
      coupl(nGC_6758) = coupl(nGC_4632) + coupl(nGC_75)*dZZ/2d0 + coupl(nGC_75 &
                        )*dZmuMinusR
      coupl(nGC_6757) = coupl(nGC_4506) + coupl(nGC_79)*dZZ/2d0 + coupl(nGC_79 &
                        )*dZmuMinusL
      coupl(nGC_6752) = coupl(nGC_4500) + coupl(nGC_81)*dZA/2d0 + coupl(nGC_81 &
                        )*dZZ/2d0
      coupl(nGC_6492) = coupl(nGC_47)*(dZsL_QCD2 + dZtL_QCD2)/2d0
      coupl(nGC_6490) = coupl(nGC_4535) + coupl(nGC_58)*dZWpMinus/2d0
      coupl(nGC_6497) = coupl(nGC_4561) + coupl(nGC_47)*dZWpMinus/2d0
      coupl(nGC_6495) = coupl(nGC_65)*(dZsR_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_6884) = coupl(nGC_36)*dZWpMinus/2d0 + coupl(nGC_36)*dZnu_muL/  &
                        2d0 + coupl(nGC_36)*dZtauMinusL/2d0 + coupl(nGC_4591)
      coupl(nGC_6885) = coupl(nGC_4589) + coupl(nGC_54)*dZWpMinus/2d0 + coupl( &
                        nGC_54)*dZnu_muR/2d0 + coupl(nGC_54)*dZtauMinusR/2d0
      coupl(nGC_6498) = coupl(nGC_4563) + coupl(nGC_65)*dZWpMinus/2d0
      coupl(nGC_7371) = coupl(nGC_6547) + coupl(nGC_7368)
      coupl(nGC_7370) = coupl(nGC_6547) + coupl(nGC_7367)
      coupl(nGC_7478) = coupl(nGC_MI)*dZuL_QCD2
      coupl(nGC_7479) = coupl(nGC_MU)*(dZuL_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_8400) = coupl(nGC_MI)*dZcR_QCD2
      coupl(nGC_4521) = coupl(nGC_4519)*dcw_ + coupl(nGC_4520)*dsw_
      coupl(nGC_9100) = coupl(nGC_ME)*(dZeMinusL + dZeMinusR)/2d0
      coupl(nGC_9102) = coupl(nGC_MI)*dZeMinusR
      coupl(nGC_9103) = coupl(nGC_4636) + coupl(nGC_9100)
      coupl(nGC_4332) = coupl(nGC_11)*sq2*(-coupl(nGC_40)*coupl(nGC_46) - coupl&
                        (nGC_41)*coupl(nGC_47) - coupl(nGC_42)*coupl(nGC_48))/(&
                        16d0*pi**2d0*Nc)
      coupl(nGC_4333) = coupl(nGC_11)*sq2*(-coupl(nGC_58)*coupl(nGC_64) - coupl&
                        (nGC_59)*coupl(nGC_65) - coupl(nGC_60)*coupl(nGC_66))/(&
                        16d0*pi**2d0*Nc)
      coupl(nGC_4341) = coupl(nGC_4340)*dlam_QED2
      coupl(nGC_4343) = coupl(nGC_4342)*dlam_QED2
      coupl(nGC_4347) = coupl(nGC_4345)*dvev_QEDM1 + coupl(nGC_4346)*dlam_QED2
    end subroutine fill_CTcouplings_mdl7
end module fill_ctcouplings7
