!******************************************************************************!
!                                                                              !
!    fill_ctcouplings8.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings8.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 05/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-15 15:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings8
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl8()
      coupl(nGC_4335) = coupl(nGC_11)*sq2*(coupl(nGC_58)*coupl(nGC_64) + coupl(&
                        nGC_59)*coupl(nGC_65) + coupl(nGC_60)*coupl(nGC_66))/( &
                        16d0*pi**2d0)
      coupl(nGC_6371) = coupl(nGC_3)*dZA/2d0
      coupl(nGC_4336) = coupl(nGC_11)*sq2*(-coupl(nGC_1013)*coupl(nGC_124) -   &
                        coupl(nGC_123)**2d0 - 4d0*coupl(nGC_2)**2d0 - 4d0*coupl&
                        (nGC_24)**2d0 - 4d0*coupl(nGC_40)**2d0 - 4d0*coupl(    &
                        nGC_41)**2d0 - 4d0*coupl(nGC_42)**2d0 - 4d0*coupl(     &
                        nGC_72)**2d0 - 4d0*coupl(nGC_78)**2d0 - coupl(nGC_99)**&
                        2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_7482) = coupl(nGC_4639) + coupl(nGC_7479)
      coupl(nGC_7481) = coupl(nGC_MI)*dZuR_QCD2
      coupl(nGC_8284) = -coupl(nGC_6456)
      coupl(nGC_4524) = coupl(nGC_4522)*dcw_ + coupl(nGC_4523)*dsw_
      coupl(nGC_4288) = coupl(nGC_11)*sq2*(coupl(nGC_59)*coupl(nGC_60) + coupl(&
                        nGC_62)*coupl(nGC_63) + coupl(nGC_65)*coupl(nGC_66))/( &
                        16d0*pi**2d0)
      coupl(nGC_4289) = coupl(nGC_11)*sq2*(coupl(nGC_41)*coupl(nGC_42) + coupl(&
                        nGC_44)*coupl(nGC_45) + coupl(nGC_47)*coupl(nGC_48))/( &
                        16d0*pi**2d0)
      coupl(nGC_4284) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(     &
                        nGC_321)*coupl(nGC_93) + 4d0*coupl(nGC_60)**2d0 + 4d0* &
                        coupl(nGC_63)**2d0 + 4d0*coupl(nGC_66)**2d0 + 4d0*coupl&
                        (nGC_73)**2d0 + coupl(nGC_92)**2d0 + coupl(nGC_94)**2d0&
                        )/(64d0*pi**2d0*Nc)
      coupl(nGC_4285) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(    &
                        nGC_117)**2d0 - 4d0*coupl(nGC_23)**2d0 - coupl(nGC_321 &
                        )*coupl(nGC_93) - 4d0*coupl(nGC_42)**2d0 - 4d0*coupl(  &
                        nGC_45)**2d0 - 4d0*coupl(nGC_48)**2d0 - 4d0*coupl(     &
                        nGC_77)**2d0 - coupl(nGC_94)**2d0)/(64d0*pi**2d0)
      coupl(nGC_4286) = -coupl(nGC_11)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_10&
                        ) + coupl(nGC_11))/(64d0*pi**2d0*Nc)
      coupl(nGC_4287) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(    &
                        nGC_321)*coupl(nGC_93) - 4d0*coupl(nGC_60)**2d0 - 4d0* &
                        coupl(nGC_63)**2d0 - 4d0*coupl(nGC_66)**2d0 - 4d0*coupl&
                        (nGC_73)**2d0 - coupl(nGC_92)**2d0 - coupl(nGC_94)**2d0&
                        )/(64d0*pi**2d0)
      coupl(nGC_4280) = -coupl(nGC_11)*sq2*(-coupl(nGC_40)*coupl(nGC_42) -     &
                        coupl(nGC_43)*coupl(nGC_45) - coupl(nGC_46)*coupl(     &
                        nGC_48))/(16d0*pi**2d0)
      coupl(nGC_4281) = -coupl(nGC_11)*sq2*(-coupl(nGC_58)*coupl(nGC_60) -     &
                        coupl(nGC_61)*coupl(nGC_63) - coupl(nGC_64)*coupl(     &
                        nGC_66))/(16d0*pi**2d0)
      coupl(nGC_4282) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(     &
                        nGC_117)**2d0 + 4d0*coupl(nGC_23)**2d0 + coupl(nGC_321 &
                        )*coupl(nGC_93) + 4d0*coupl(nGC_42)**2d0 + 4d0*coupl(  &
                        nGC_45)**2d0 + 4d0*coupl(nGC_48)**2d0 + 4d0*coupl(     &
                        nGC_77)**2d0 + coupl(nGC_94)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_4283) = -coupl(nGC_11)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(     &
                        nGC_10) - coupl(nGC_11))/(64d0*pi**2d0*Nc**2d0)
      coupl(nGC_7727) = coupl(nGC_4506) + coupl(nGC_79)*dZZ/2d0
      coupl(nGC_4448) = coupl(nGC_4447)*dytau_QED1
      coupl(nGC_7681) = coupl(nGC_MI)*dZnu_eR
      coupl(nGC_7680) = coupl(nGC_MI)*dZnu_eL
      coupl(nGC_7728) = -coupl(nGC_7727)
      coupl(nGC_4440) = coupl(nGC_4439)*dye_QED1
      coupl(nGC_9032) = coupl(nGC_4350) + 3d0*coupl(nGC_88)*dZH/2d0
      coupl(nGC_6537) = coupl(nGC_107)*(dZeMinusL + dZeMinusR)/2d0
      coupl(nGC_6403) = coupl(nGC_28)*dZA/2d0 + coupl(nGC_28)*dZH/2d0 + coupl( &
                        nGC_28)*dZWMinus/2d0 + coupl(nGC_4478)
      coupl(nGC_4541) = coupl(nGC_4540)*dsw_
      coupl(nGC_4229) = coupl(nGC_11)**2d0*coupl(nGC_96)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4230) = coupl(nGC_11)**2d0*coupl(nGC_387)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4233) = coupl(nGC_11)**2d0*coupl(nGC_116)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4235) = coupl(nGC_11)**2d0*coupl(nGC_114)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4234) = coupl(nGC_102)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4237) = coupl(nGC_11)**2d0*coupl(nGC_112)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4239) = coupl(nGC_11)**2d0*coupl(nGC_119)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_6651) = coupl(nGC_111)*dZcL_QCD2/2d0 + coupl(nGC_111)*dZsR_QCD2&
                        /2d0 + coupl(nGC_4409)
      coupl(nGC_6652) = coupl(nGC_4412) + coupl(nGC_97)*dZcR_QCD2/2d0 + coupl( &
                        nGC_97)*dZsL_QCD2/2d0
      coupl(nGC_7022) = coupl(nGC_25)*dZWMinus/2d0 + coupl(nGC_4371)
      coupl(nGC_7025) = coupl(nGC_78)*dZuL_QCD2
      coupl(nGC_4220) = coupl(nGC_11)**2d0*coupl(nGC_117)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4221) = coupl(nGC_11)**2d0*coupl(nGC_97)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_7531) = coupl(nGC_4513) + coupl(nGC_86)*dZWMinus/2d0 + coupl(  &
                        nGC_86)*dZZ/2d0
      coupl(nGC_7539) = coupl(nGC_MI)*dZnu_muR
      coupl(nGC_7538) = coupl(nGC_MI)*dZnu_muL
      coupl(nGC_4309) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(     &
                        nGC_100)*coupl(nGC_387) + coupl(nGC_101)**2d0 + coupl( &
                        nGC_102)*coupl(nGC_104) + coupl(nGC_103)**2d0 + 4d0*   &
                        coupl(nGC_58)**2d0 + 4d0*coupl(nGC_61)**2d0 + 4d0*coupl&
                        (nGC_64)**2d0 + 4d0*coupl(nGC_73)**2d0 + coupl(nGC_99  &
                        )**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_4308) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(     &
                        nGC_100)*coupl(nGC_387) + coupl(nGC_101)**2d0 + coupl( &
                        nGC_114)*coupl(nGC_116) + coupl(nGC_115)**2d0 + coupl( &
                        nGC_125)**2d0 + 4d0*coupl(nGC_24)**2d0 + 4d0*coupl(    &
                        nGC_40)**2d0 + 4d0*coupl(nGC_43)**2d0 + 4d0*coupl(     &
                        nGC_46)**2d0 + 4d0*coupl(nGC_71)**2d0 + 4d0*coupl(     &
                        nGC_77)**2d0 + coupl(nGC_98)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_4305) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + coupl(     &
                        nGC_441)*coupl(nGC_96) + 4d0*coupl(nGC_61)**2d0 + 4d0* &
                        coupl(nGC_62)**2d0 + 4d0*coupl(nGC_63)**2d0 + 4d0*coupl&
                        (nGC_74)**2d0 + coupl(nGC_95)**2d0 + coupl(nGC_97)**2d0&
                         + coupl(nGC_98)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_4304) = -coupl(nGC_11)*sq2*(coupl(nGC_111)**2d0 + 4d0*coupl(   &
                        nGC_2)**2d0 + 4d0*coupl(nGC_24)**2d0 + 4d0*coupl(nGC_43&
                        )**2d0 + 4d0*coupl(nGC_44)**2d0 + coupl(nGC_441)*coupl(&
                        nGC_96) + 4d0*coupl(nGC_45)**2d0 + 4d0*coupl(nGC_71)** &
                        2d0 + 4d0*coupl(nGC_78)**2d0 + coupl(nGC_95)**2d0)/(   &
                        64d0*pi**2d0*Nc)
      coupl(nGC_4307) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - coupl(    &
                        nGC_441)*coupl(nGC_96) - 4d0*coupl(nGC_61)**2d0 - 4d0* &
                        coupl(nGC_62)**2d0 - 4d0*coupl(nGC_63)**2d0 - 4d0*coupl&
                        (nGC_74)**2d0 - coupl(nGC_95)**2d0 - coupl(nGC_97)**2d0&
                         - coupl(nGC_98)**2d0)/(64d0*pi**2d0)
      coupl(nGC_4306) = -coupl(nGC_11)*sq2*(-coupl(nGC_111)**2d0 - 4d0*coupl(  &
                        nGC_2)**2d0 - 4d0*coupl(nGC_24)**2d0 - 4d0*coupl(nGC_43&
                        )**2d0 - 4d0*coupl(nGC_44)**2d0 - coupl(nGC_441)*coupl(&
                        nGC_96) - 4d0*coupl(nGC_45)**2d0 - 4d0*coupl(nGC_71)** &
                        2d0 - 4d0*coupl(nGC_78)**2d0 - coupl(nGC_95)**2d0)/(   &
                        64d0*pi**2d0)
      coupl(nGC_4301) = coupl(nGC_11)*sq2*(coupl(nGC_24)*coupl(nGC_71) + coupl(&
                        nGC_24)*coupl(nGC_72) + coupl(nGC_40)*coupl(nGC_43) +  &
                        coupl(nGC_41)*coupl(nGC_44) + coupl(nGC_42)*coupl(     &
                        nGC_45))/(16d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl8
end module fill_ctcouplings8
