!******************************************************************************!
!                                                                              !
!    fill_ctcouplings10.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings10.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 05/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-15 15:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings10
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl10()
      coupl(nGC_4438) = coupl(nGC_4437)*dye_QED1
      coupl(nGC_4432) = coupl(nGC_4430)*dyb_QED1
      coupl(nGC_4431) = coupl(nGC_4430)*dyb_QED1_QCD2
      coupl(nGC_6501) = coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_4383)
      coupl(nGC_6502) = -coupl(nGC_6501)
      coupl(nGC_7995) = coupl(nGC_21)*dZH/2d0 + coupl(nGC_21)*dZWMinus/2d0 +   &
                        coupl(nGC_4485)
      coupl(nGC_6506) = coupl(nGC_71)*(dZcL_QCD2 + dZdL_QCD2)/2d0
      coupl(nGC_6508) = coupl(nGC_4612) + coupl(nGC_71)*dZWMinus/2d0
      coupl(nGC_7386) = -coupl(nGC_4422)
      coupl(nGC_7383) = coupl(nGC_112)*(dZsL_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_4547) = coupl(nGC_4546)*dsw_
      coupl(nGC_4545) = coupl(nGC_4544)*dsw_
      coupl(nGC_4543) = coupl(nGC_4542)*dsw_
      coupl(nGC_4228) = coupl(nGC_11)**2d0*coupl(nGC_441)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_6641) = coupl(nGC_32)*dZWpMinus/2d0 + coupl(nGC_32)*dZmuMinusL/&
                        2d0 + coupl(nGC_32)*dZnu_eL/2d0 + coupl(nGC_4575)
      coupl(nGC_4226) = coupl(nGC_11)**2d0*coupl(nGC_321)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_6724) = coupl(nGC_101)*dZH/2d0 + coupl(nGC_4396)
      coupl(nGC_4222) = coupl(nGC_11)**2d0*coupl(nGC_111)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4223) = coupl(nGC_11)**2d0*coupl(nGC_99)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4549) = coupl(nGC_4548)*dsw_
      coupl(nGC_6722) = coupl(nGC_101)*(dZdL_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_9094) = coupl(nGC_119)*(dZtL_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_9095) = -coupl(nGC_4470) - coupl(nGC_9094)
      coupl(nGC_7036) = coupl(nGC_MI)*dZmuMinusR
      coupl(nGC_7034) = coupl(nGC_MM)*(dZmuMinusL + dZmuMinusR)/2d0
      coupl(nGC_9099) = coupl(nGC_MI)*dZeMinusL
      coupl(nGC_7033) = coupl(nGC_MI)*dZmuMinusL
      coupl(nGC_6969) = coupl(nGC_MI)*dZtauMinusR
      coupl(nGC_6967) = coupl(nGC_MTA)*(dZtauMinusL + dZtauMinusR)/2d0
      coupl(nGC_6966) = coupl(nGC_MI)*dZtauMinusL
      coupl(nGC_6428) = coupl(nGC_4601) + coupl(nGC_57)*dZWpMinus/2d0 + coupl( &
                        nGC_57)*dZnu_tauR/2d0 + coupl(nGC_57)*dZtauMinusR/2d0
      coupl(nGC_4319) = coupl(nGC_11)*sq2*(coupl(nGC_101)*coupl(nGC_103) +     &
                        coupl(nGC_102)*coupl(nGC_387) + coupl(nGC_112)*coupl(  &
                        nGC_114) + coupl(nGC_113)*coupl(nGC_115) + coupl(      &
                        nGC_125)*coupl(nGC_126) + 4d0*coupl(nGC_24)*coupl(     &
                        nGC_71) + 4d0*coupl(nGC_24)*coupl(nGC_72) + 4d0*coupl( &
                        nGC_40)*coupl(nGC_41) + 4d0*coupl(nGC_43)*coupl(nGC_44 &
                        ) + 4d0*coupl(nGC_46)*coupl(nGC_47) + coupl(nGC_97)*   &
                        coupl(nGC_98))/(64d0*pi**2d0)
      coupl(nGC_4649) = coupl(nGC_183)*dMW2
      coupl(nGC_6865) = -coupl(nGC_4456)
      coupl(nGC_4312) = coupl(nGC_11)*sq2*(coupl(nGC_101)*coupl(nGC_115) +     &
                        coupl(nGC_103)*coupl(nGC_113) + coupl(nGC_104)*coupl(  &
                        nGC_112) + coupl(nGC_116)*coupl(nGC_387) + 4d0*coupl(  &
                        nGC_58)*coupl(nGC_59) + 4d0*coupl(nGC_61)*coupl(nGC_62 &
                        ) + 4d0*coupl(nGC_64)*coupl(nGC_65))/(64d0*pi**2d0)
      coupl(nGC_4310) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(    &
                        nGC_100)*coupl(nGC_387) - coupl(nGC_101)**2d0 - coupl( &
                        nGC_114)*coupl(nGC_116) - coupl(nGC_115)**2d0 - coupl( &
                        nGC_125)**2d0 - 4d0*coupl(nGC_24)**2d0 - 4d0*coupl(    &
                        nGC_40)**2d0 - 4d0*coupl(nGC_43)**2d0 - 4d0*coupl(     &
                        nGC_46)**2d0 - 4d0*coupl(nGC_71)**2d0 - 4d0*coupl(     &
                        nGC_77)**2d0 - coupl(nGC_98)**2d0)/(64d0*pi**2d0)
      coupl(nGC_4311) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(    &
                        nGC_100)*coupl(nGC_387) - coupl(nGC_101)**2d0 - coupl( &
                        nGC_102)*coupl(nGC_104) - coupl(nGC_103)**2d0 - 4d0*   &
                        coupl(nGC_58)**2d0 - 4d0*coupl(nGC_61)**2d0 - 4d0*coupl&
                        (nGC_64)**2d0 - 4d0*coupl(nGC_73)**2d0 - coupl(nGC_99  &
                        )**2d0)/(64d0*pi**2d0)
      coupl(nGC_4317) = coupl(nGC_11)*sq2*(-coupl(nGC_101)*coupl(nGC_103) -    &
                        coupl(nGC_102)*coupl(nGC_387) - coupl(nGC_112)*coupl(  &
                        nGC_114) - coupl(nGC_113)*coupl(nGC_115) - coupl(      &
                        nGC_125)*coupl(nGC_126) - 4d0*coupl(nGC_24)*coupl(     &
                        nGC_71) - 4d0*coupl(nGC_24)*coupl(nGC_72) - 4d0*coupl( &
                        nGC_40)*coupl(nGC_41) - 4d0*coupl(nGC_43)*coupl(nGC_44 &
                        ) - 4d0*coupl(nGC_46)*coupl(nGC_47) - coupl(nGC_97)*   &
                        coupl(nGC_98))/(64d0*pi**2d0*Nc)
      coupl(nGC_4314) = coupl(nGC_11)*sq2*(-coupl(nGC_101)*coupl(nGC_115) -    &
                        coupl(nGC_103)*coupl(nGC_113) - coupl(nGC_104)*coupl(  &
                        nGC_112) - coupl(nGC_116)*coupl(nGC_387) - 4d0*coupl(  &
                        nGC_58)*coupl(nGC_59) - 4d0*coupl(nGC_61)*coupl(nGC_62 &
                        ) - 4d0*coupl(nGC_64)*coupl(nGC_65))/(64d0*pi**2d0*Nc)
      coupl(nGC_7350) = coupl(nGC_4648) + coupl(nGC_MW_GF)*dZWMinus/2d0
      coupl(nGC_4248) = coupl(nGC_11)**2d0*coupl(nGC_118)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4567) = coupl(nGC_4566)*dsw_
      coupl(nGC_7186) = coupl(nGC_102)*dZdR_QCD2/2d0 + coupl(nGC_102)*dZsL_QCD2&
                        /2d0 + coupl(nGC_4398)
      coupl(nGC_4569) = coupl(nGC_4568)*dsw_
      coupl(nGC_6546) = coupl(nGC_4515) + coupl(nGC_7)*dZWMinus/2d0 + coupl(   &
                        nGC_7)*dZZ/2d0
      coupl(nGC_6540) = coupl(nGC_107)*dZH/2d0 + coupl(nGC_4440)
      coupl(nGC_9514) = coupl(nGC_4650) + coupl(nGC_MZ_GF)*dZZ/2d0
      coupl(nGC_4364) = coupl(nGC_4362)*dcw_ + coupl(nGC_4363)*dsw_
      coupl(nGC_4361) = coupl(nGC_4359)*dMW2 + coupl(nGC_4360)*dsw_
      coupl(nGC_6466) = coupl(nGC_110)*dZH/2d0 + coupl(nGC_4445)
    end subroutine fill_CTcouplings_mdl10
end module fill_ctcouplings10
