!******************************************************************************!
!                                                                              !
!    fill_ctcouplings11.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings11.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 05/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-15 15:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings11
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl11()
      coupl(nGC_6465) = coupl(nGC_110)*(dZmuMinusL + dZmuMinusR)/2d0
      coupl(nGC_6461) = coupl(nGC_4524) + coupl(nGC_84)*dZZ
      coupl(nGC_8778) = coupl(nGC_4642) + coupl(nGC_8775)
      coupl(nGC_8774) = coupl(nGC_MI)*dZdL_QCD2
      coupl(nGC_4266) = coupl(nGC_11)**2d0*coupl(nGC_62)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4265) = coupl(nGC_11)**2d0*coupl(nGC_64)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4503) = coupl(nGC_4501)*dcw_ + coupl(nGC_4502)*dsw_
      coupl(nGC_4468) = coupl(nGC_4466)*dyc_QED1
      coupl(nGC_6604) = -coupl(nGC_4392) - coupl(nGC_6603)
      coupl(nGC_6605) = coupl(nGC_4392) + coupl(nGC_6603)
      coupl(nGC_7070) = coupl(nGC_4481) + coupl(nGC_90)*dZA/2d0 + coupl(nGC_90 &
                        )*dZWMinus/2d0
      coupl(nGC_7178) = coupl(nGC_117)*dZbL_QCD2/2d0 + coupl(nGC_117)*dZtR_QCD2&
                        /2d0 + coupl(nGC_4426)
      coupl(nGC_8113) = coupl(nGC_MS)*(dZsL_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_7177) = coupl(nGC_4428) + coupl(nGC_92)*dZbR_QCD2/2d0 + coupl( &
                        nGC_92)*dZtL_QCD2/2d0
      coupl(nGC_8115) = coupl(nGC_4643) + coupl(nGC_8113)
      coupl(nGC_4217) = coupl(nGC_11)**2d0*coupl(nGC_2)*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_6778) = coupl(nGC_23)*dZWMinus/2d0 + coupl(nGC_4614)
      coupl(nGC_6779) = coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_4187) = cima*(-cMB*coupl(nGC_1)**2d0 - cMB*coupl(nGC_73)*coupl(&
                        nGC_77) - cMC*coupl(nGC_45)*coupl(nGC_63) - cMT*coupl( &
                        nGC_48)*coupl(nGC_66) - cMU*coupl(nGC_42)*coupl(nGC_60 &
                        ))/(8d0*pi**2d0)
      coupl(nGC_7636) = coupl(nGC_4467) + coupl(nGC_7632)
      coupl(nGC_7637) = coupl(nGC_4468) + coupl(nGC_95)*dZH/2d0
      coupl(nGC_6676) = -coupl(nGC_6675)
      coupl(nGC_6673) = coupl(nGC_38)*dZWpMinus/2d0 + coupl(nGC_38)*dZmuMinusL/&
                        2d0 + coupl(nGC_38)*dZnu_tauL/2d0 + coupl(nGC_4597)
      coupl(nGC_4189) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_60)**2d0 - coupl( &
                        nGC_63)**2d0 - coupl(nGC_66)**2d0 - coupl(nGC_73)**2d0 &
                        )/(16d0*pi**2d0)
      coupl(nGC_7007) = coupl(nGC_63)*(dZbR_QCD2 + dZcR_QCD2)/2d0
      coupl(nGC_7003) = coupl(nGC_4464) + coupl(nGC_6999)
      coupl(nGC_7002) = -coupl(nGC_4464) - coupl(nGC_6999)
      coupl(nGC_9075) = coupl(nGC_6547) + coupl(nGC_9072)
      coupl(nGC_6789) = coupl(nGC_62)*(dZcR_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_6780) = -coupl(nGC_6779)
      coupl(nGC_4323) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(     &
                        nGC_111)**2d0 - coupl(nGC_112)*coupl(nGC_1161) - coupl(&
                        nGC_113)**2d0 - coupl(nGC_114)*coupl(nGC_116) - coupl( &
                        nGC_115)**2d0 - 4d0*coupl(nGC_59)**2d0 - 4d0*coupl(    &
                        nGC_62)**2d0 - 4d0*coupl(nGC_65)**2d0 - 4d0*coupl(     &
                        nGC_73)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_4322) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(     &
                        nGC_102)*coupl(nGC_104) - coupl(nGC_103)**2d0 - coupl( &
                        nGC_112)*coupl(nGC_1161) - coupl(nGC_113)**2d0 - coupl(&
                        nGC_126)**2d0 - 4d0*coupl(nGC_24)**2d0 - 4d0*coupl(    &
                        nGC_41)**2d0 - 4d0*coupl(nGC_44)**2d0 - 4d0*coupl(     &
                        nGC_47)**2d0 - 4d0*coupl(nGC_72)**2d0 - 4d0*coupl(     &
                        nGC_77)**2d0 - coupl(nGC_97)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_4326) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(      &
                        nGC_111)**2d0 + coupl(nGC_112)*coupl(nGC_1161) + coupl(&
                        nGC_113)**2d0 + coupl(nGC_114)*coupl(nGC_116) + coupl( &
                        nGC_115)**2d0 + 4d0*coupl(nGC_59)**2d0 + 4d0*coupl(    &
                        nGC_62)**2d0 + 4d0*coupl(nGC_65)**2d0 + 4d0*coupl(     &
                        nGC_73)**2d0)/(64d0*pi**2d0)
      coupl(nGC_4325) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(      &
                        nGC_102)*coupl(nGC_104) + coupl(nGC_103)**2d0 + coupl( &
                        nGC_112)*coupl(nGC_1161) + coupl(nGC_113)**2d0 + coupl(&
                        nGC_126)**2d0 + 4d0*coupl(nGC_24)**2d0 + 4d0*coupl(    &
                        nGC_41)**2d0 + 4d0*coupl(nGC_44)**2d0 + 4d0*coupl(     &
                        nGC_47)**2d0 + 4d0*coupl(nGC_72)**2d0 + 4d0*coupl(     &
                        nGC_77)**2d0 + coupl(nGC_97)**2d0)/(64d0*pi**2d0)
      coupl(nGC_4329) = coupl(nGC_11)*sq2*(-coupl(nGC_117)**2d0 - coupl(nGC_118&
                        )**2d0 - coupl(nGC_119)*coupl(nGC_1263) - 4d0*coupl(   &
                        nGC_2)**2d0 - 4d0*coupl(nGC_64)**2d0 - 4d0*coupl(nGC_65&
                        )**2d0 - 4d0*coupl(nGC_66)**2d0 - 4d0*coupl(nGC_74)**  &
                        2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_4328) = coupl(nGC_11)*sq2*(-coupl(nGC_118)**2d0 - coupl(nGC_119&
                        )*coupl(nGC_1263) - 4d0*coupl(nGC_2)**2d0 - 4d0*coupl( &
                        nGC_23)**2d0 - 4d0*coupl(nGC_46)**2d0 - 4d0*coupl(     &
                        nGC_47)**2d0 - 4d0*coupl(nGC_48)**2d0 - 4d0*coupl(     &
                        nGC_78)**2d0 - coupl(nGC_92)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_6422) = coupl(nGC_17)*dZWMinus + coupl(nGC_4491)
      coupl(nGC_6858) = coupl(nGC_4634) + coupl(nGC_MH)*dZH
      coupl(nGC_6427) = coupl(nGC_39)*dZWpMinus/2d0 + coupl(nGC_39)*dZnu_tauL/ &
                        2d0 + coupl(nGC_39)*dZtauMinusL/2d0 + coupl(nGC_4603)
      coupl(nGC_6853) = coupl(nGC_42)*dZWpMinus/2d0 + coupl(nGC_4541)
      coupl(nGC_6852) = coupl(nGC_4543) + coupl(nGC_60)*dZWpMinus/2d0
      coupl(nGC_6583) = coupl(nGC_31)*dZWpMinus/2d0 + coupl(nGC_31)*dZeMinusL/ &
                        2d0 + coupl(nGC_31)*dZnu_eL/2d0 + coupl(nGC_4569)
      coupl(nGC_6394) = coupl(nGC_4510) + coupl(nGC_8)*dZH/2d0 + coupl(nGC_8)* &
                        dZWMinus/2d0 + coupl(nGC_8)*dZZ/2d0
      coupl(nGC_7305) = coupl(nGC_4506) + coupl(nGC_79)*dZZ/2d0 + coupl(nGC_79 &
                        )*dZtauMinusL
      coupl(nGC_6397) = coupl(nGC_27)*dZA/2d0 + coupl(nGC_27)*dZWMinus/2d0 +   &
                        coupl(nGC_4487)
      coupl(nGC_6391) = coupl(nGC_115)*dZH/2d0 + coupl(nGC_4405)
      coupl(nGC_4606) = coupl(nGC_145)*dZgs_QCD2
      coupl(nGC_6455) = coupl(nGC_37)*dZWpMinus/2d0 + coupl(nGC_37)*dZeMinusL/ &
                        2d0 + coupl(nGC_37)*dZnu_tauL/2d0 + coupl(nGC_4593)
      coupl(nGC_6516) = coupl(nGC_43)*dZWpMinus/2d0 + coupl(nGC_4547)
      coupl(nGC_6515) = coupl(nGC_4545) + coupl(nGC_61)*dZWpMinus/2d0
    end subroutine fill_CTcouplings_mdl11
end module fill_ctcouplings11
