!******************************************************************************!
!                                                                              !
!    fill_ctcouplings13.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings13.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 05/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-15 15:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings13
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl13()
      coupl(nGC_6863) = -coupl(nGC_4455) - coupl(nGC_6860)
      coupl(nGC_7517) = -coupl(nGC_7513)
      coupl(nGC_7674) = coupl(nGC_6529) + coupl(nGC_7673)
      coupl(nGC_6555) = coupl(nGC_4567) + coupl(nGC_66)*dZWpMinus/2d0
      coupl(nGC_6984) = 2d0*coupl(nGC_18)*dZWMinus + coupl(nGC_4497)
      coupl(nGC_7508) = coupl(nGC_6529) + coupl(nGC_7504)
      coupl(nGC_6541) = coupl(nGC_6537) + coupl(nGC_6540)
      coupl(nGC_4236) = coupl(nGC_11)**2d0*coupl(nGC_1161)*sq2**2d0*(Nc**2d0 - &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4238) = coupl(nGC_11)**2d0*coupl(nGC_1263)*sq2**2d0*(Nc**2d0 - &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_6617) = coupl(nGC_26)*dZWMinus + coupl(nGC_26)*dZZ/2d0 + coupl(&
                        nGC_4364)
      coupl(nGC_8689) = coupl(nGC_4641) + coupl(nGC_8687)
      coupl(nGC_7507) = coupl(nGC_6529) + coupl(nGC_7503)
      coupl(nGC_6372) = -coupl(nGC_6371)
      coupl(nGC_6446) = -coupl(nGC_4431) - coupl(nGC_6443)
      coupl(nGC_6447) = coupl(nGC_4431) + coupl(nGC_6443)
      coupl(nGC_6441) = -coupl(nGC_6437)
      coupl(nGC_7996) = -coupl(nGC_7995)
      coupl(nGC_6400) = coupl(nGC_4629) + coupl(nGC_80)*dZZ/2d0 + coupl(nGC_80 &
                        )*dZnu_muL
      coupl(nGC_6467) = coupl(nGC_6465) + coupl(nGC_6466)
      coupl(nGC_7588) = coupl(nGC_6529) + coupl(nGC_7584)
      coupl(nGC_7589) = coupl(nGC_6529) + coupl(nGC_7585)
      coupl(nGC_6448) = -coupl(nGC_4432)
      coupl(nGC_7675) = coupl(nGC_6529) + coupl(nGC_7670)
      coupl(nGC_8307) = coupl(nGC_6529) + coupl(nGC_8303)
      coupl(nGC_8306) = coupl(nGC_6529) + coupl(nGC_8302)
      coupl(nGC_7384) = -coupl(nGC_4421) - coupl(nGC_7383)
      coupl(nGC_7385) = coupl(nGC_4421) + coupl(nGC_7383)
      coupl(nGC_7023) = -coupl(nGC_7022)
      coupl(nGC_8797) = coupl(nGC_4629) + coupl(nGC_80)*dZZ/2d0 + coupl(nGC_80 &
                        )*dZnu_eL
      coupl(nGC_9096) = coupl(nGC_4470) + coupl(nGC_9094)
      coupl(nGC_6792) = coupl(nGC_4549) + coupl(nGC_62)*dZWpMinus/2d0
      coupl(nGC_7582) = -coupl(nGC_6617)
      coupl(nGC_4330) = coupl(nGC_11)*sq2*(coupl(nGC_118)**2d0 + coupl(nGC_119 &
                        )*coupl(nGC_1263) + 4d0*coupl(nGC_2)**2d0 + 4d0*coupl( &
                        nGC_23)**2d0 + 4d0*coupl(nGC_46)**2d0 + 4d0*coupl(     &
                        nGC_47)**2d0 + 4d0*coupl(nGC_48)**2d0 + 4d0*coupl(     &
                        nGC_78)**2d0 + coupl(nGC_92)**2d0)/(64d0*pi**2d0)
      coupl(nGC_4331) = coupl(nGC_11)*sq2*(coupl(nGC_117)**2d0 + coupl(nGC_118 &
                        )**2d0 + coupl(nGC_119)*coupl(nGC_1263) + 4d0*coupl(   &
                        nGC_2)**2d0 + 4d0*coupl(nGC_64)**2d0 + 4d0*coupl(nGC_65&
                        )**2d0 + 4d0*coupl(nGC_66)**2d0 + 4d0*coupl(nGC_74)**  &
                        2d0)/(64d0*pi**2d0)
      coupl(nGC_4318) = coupl(nGC_11)*sq2*(coupl(nGC_100)*coupl(nGC_114) +     &
                        coupl(nGC_101)*coupl(nGC_115) + coupl(nGC_102)*coupl(  &
                        nGC_1161) + coupl(nGC_103)*coupl(nGC_113) + 4d0*coupl( &
                        nGC_58)*coupl(nGC_59) + 4d0*coupl(nGC_61)*coupl(nGC_62 &
                        ) + 4d0*coupl(nGC_64)*coupl(nGC_65))/(64d0*pi**2d0)
      coupl(nGC_6593) = coupl(nGC_17)*dZH + coupl(nGC_17)*dZWMinus + coupl(    &
                        nGC_4491)
      coupl(nGC_6864) = coupl(nGC_4455) + coupl(nGC_6860)
      coupl(nGC_7439) = coupl(nGC_22)*dZWMinus/2d0 + coupl(nGC_4483)
      coupl(nGC_4313) = coupl(nGC_11)*sq2*(coupl(nGC_100)*coupl(nGC_104) +     &
                        coupl(nGC_101)*coupl(nGC_103) + coupl(nGC_113)*coupl(  &
                        nGC_115) + coupl(nGC_116)*coupl(nGC_1161) + coupl(     &
                        nGC_125)*coupl(nGC_126) + 4d0*coupl(nGC_24)*coupl(     &
                        nGC_71) + 4d0*coupl(nGC_24)*coupl(nGC_72) + 4d0*coupl( &
                        nGC_40)*coupl(nGC_41) + 4d0*coupl(nGC_43)*coupl(nGC_44 &
                        ) + 4d0*coupl(nGC_46)*coupl(nGC_47) + coupl(nGC_97)*   &
                        coupl(nGC_98))/(64d0*pi**2d0)
      coupl(nGC_4316) = coupl(nGC_11)*sq2*(-coupl(nGC_100)*coupl(nGC_114) -    &
                        coupl(nGC_101)*coupl(nGC_115) - coupl(nGC_102)*coupl(  &
                        nGC_1161) - coupl(nGC_103)*coupl(nGC_113) - 4d0*coupl( &
                        nGC_58)*coupl(nGC_59) - 4d0*coupl(nGC_61)*coupl(nGC_62 &
                        ) - 4d0*coupl(nGC_64)*coupl(nGC_65))/(64d0*pi**2d0*Nc)
      coupl(nGC_6370) = -coupl(nGC_6366)
      coupl(nGC_6599) = coupl(nGC_4361) + coupl(nGC_68)*dZH/2d0
      coupl(nGC_6620) = coupl(nGC_26)*dZWMinus/2d0 + coupl(nGC_4364)
      coupl(nGC_6621) = -coupl(nGC_6620)
      coupl(nGC_6696) = coupl(nGC_4581) + coupl(nGC_52)*dZWpMinus/2d0 + coupl( &
                        nGC_52)*dZeMinusR/2d0 + coupl(nGC_52)*dZnu_muR/2d0
      coupl(nGC_7809) = coupl(nGC_4644) + coupl(nGC_7807)
      coupl(nGC_6627) = coupl(nGC_4473) + coupl(nGC_6626)
      coupl(nGC_6628) = coupl(nGC_118)*dZH/2d0 + coupl(nGC_4474)
      coupl(nGC_6827) = coupl(nGC_4503) + coupl(nGC_76)*dZH/2d0 + coupl(nGC_76 &
                        )*dZZ/2d0
      coupl(nGC_6842) = coupl(nGC_4347) + coupl(nGC_87)*dZH/2d0
    end subroutine fill_CTcouplings_mdl13
end module fill_ctcouplings13
