!******************************************************************************!
!                                                                              !
!    fill_ctcouplings14.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings14.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 05/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-15 15:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings14
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl14()
      coupl(nGC_4315) = coupl(nGC_11)*sq2*(-coupl(nGC_100)*coupl(nGC_104) -    &
                        coupl(nGC_101)*coupl(nGC_103) - coupl(nGC_113)*coupl(  &
                        nGC_115) - coupl(nGC_116)*coupl(nGC_1161) - coupl(     &
                        nGC_125)*coupl(nGC_126) - 4d0*coupl(nGC_24)*coupl(     &
                        nGC_71) - 4d0*coupl(nGC_24)*coupl(nGC_72) - 4d0*coupl( &
                        nGC_40)*coupl(nGC_41) - 4d0*coupl(nGC_43)*coupl(nGC_44 &
                        ) - 4d0*coupl(nGC_46)*coupl(nGC_47) - coupl(nGC_97)*   &
                        coupl(nGC_98))/(64d0*pi**2d0*Nc)
      coupl(nGC_6606) = -coupl(nGC_4393)
      coupl(nGC_8985) = -coupl(nGC_8984)
      coupl(nGC_6690) = coupl(nGC_4577) + coupl(nGC_51)*dZWpMinus/2d0 + coupl( &
                        nGC_51)*dZnu_eR/2d0 + coupl(nGC_51)*dZtauMinusR/2d0
      coupl(nGC_6530) = coupl(nGC_6527) + coupl(nGC_6529)
      coupl(nGC_6531) = coupl(nGC_6528) + coupl(nGC_6529)
      coupl(nGC_8172) = -coupl(nGC_4448) - coupl(nGC_8171)
      coupl(nGC_6375) = coupl(nGC_4649) + coupl(nGC_MMW_GF)*dZWMinus/2d0
      coupl(nGC_6723) = coupl(nGC_4395) + coupl(nGC_6722)
      coupl(nGC_7239) = coupl(nGC_4587) + coupl(nGC_53)*dZWpMinus/2d0 + coupl( &
                        nGC_53)*dZmuMinusR/2d0 + coupl(nGC_53)*dZnu_muR/2d0
      coupl(nGC_7395) = coupl(nGC_6529) + coupl(nGC_7392)
      coupl(nGC_7394) = coupl(nGC_6529) + coupl(nGC_7393)
      coupl(nGC_9665) = -coupl(nGC_7620)
      coupl(nGC_7086) = coupl(nGC_7084) + coupl(nGC_7085)
      coupl(nGC_7240) = coupl(nGC_35)*dZWpMinus/2d0 + coupl(nGC_35)*dZmuMinusL/&
                        2d0 + coupl(nGC_35)*dZnu_muL/2d0 + coupl(nGC_4585)
      coupl(nGC_7037) = coupl(nGC_4637) + coupl(nGC_7034)
      coupl(nGC_8594) = -coupl(nGC_7439)
      coupl(nGC_8504) = 2d0*coupl(nGC_8502)
      coupl(nGC_8503) = -coupl(nGC_8502)
      coupl(nGC_8173) = coupl(nGC_4448) + coupl(nGC_8171)
      coupl(nGC_6985) = -2d0*coupl(nGC_6984)
      coupl(nGC_6828) = -coupl(nGC_6827)
    end subroutine fill_CTcouplings_mdl14
end module fill_ctcouplings14
