!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 05/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-15 15:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl3()
      coupl(nGC_4641) = -cima*dMT_QCD2
      coupl(nGC_4418) = coupl(nGC_4417)*dys_QED1_QCD2
      coupl(nGC_4643) = -cima*dMS_QCD2
      coupl(nGC_4249) = coupl(nGC_11)**2d0*coupl(nGC_123)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_7455) = coupl(nGC_77)*dZbL_QCD2
      coupl(nGC_7452) = coupl(nGC_73)*dZbR_QCD2
      coupl(nGC_7306) = coupl(nGC_4632) + coupl(nGC_75)*dZZ/2d0 + coupl(nGC_75 &
                        )*dZtauMinusR
      coupl(nGC_6547) = coupl(nGC_4)*dZA/2d0
      coupl(nGC_4242) = coupl(nGC_11)**2d0*coupl(nGC_94)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4489) = coupl(nGC_4488)*dsw_
      coupl(nGC_8775) = coupl(nGC_MD)*(dZdL_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_4481) = coupl(nGC_4479)*dvev_QEDM1 + coupl(nGC_4480)*dsw_
      coupl(nGC_4487) = coupl(nGC_4486)*dsw_
      coupl(nGC_4485) = coupl(nGC_4484)*dsw_
      coupl(nGC_4263) = coupl(nGC_11)**2d0*coupl(nGC_43)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4260) = coupl(nGC_11)**2d0*coupl(nGC_42)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4261) = coupl(nGC_11)**2d0*coupl(nGC_60)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4267) = coupl(nGC_11)**2d0*coupl(nGC_44)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4264) = coupl(nGC_11)**2d0*coupl(nGC_46)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4268) = coupl(nGC_11)**2d0*coupl(nGC_40)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4269) = coupl(nGC_11)**2d0*coupl(nGC_58)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4294) = coupl(nGC_11)*sq2*(-coupl(nGC_40)*coupl(nGC_42) - coupl&
                        (nGC_43)*coupl(nGC_45) - coupl(nGC_46)*coupl(nGC_48))/(&
                        16d0*pi**2d0*Nc)
      coupl(nGC_4292) = coupl(nGC_11)*sq2*(coupl(nGC_40)*coupl(nGC_42) + coupl(&
                        nGC_43)*coupl(nGC_45) + coupl(nGC_46)*coupl(nGC_48))/( &
                        16d0*pi**2d0)
      coupl(nGC_4464) = coupl(nGC_4463)*dyc_QED1_QCD2
      coupl(nGC_4465) = coupl(nGC_4463)*dyc_QED1
      coupl(nGC_4508) = coupl(nGC_4507)*dcw_
      coupl(nGC_4461) = coupl(nGC_4460)*dyc_QED1_QCD2
      coupl(nGC_4462) = coupl(nGC_4460)*dyc_QED1
      coupl(nGC_6603) = coupl(nGC_100)*(dZdL_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_4500) = coupl(nGC_4498)*dcw_ + coupl(nGC_4499)*dsw_
      coupl(nGC_4506) = coupl(nGC_4504)*dcw_ + coupl(nGC_4505)*dsw_
      coupl(nGC_4559) = coupl(nGC_4558)*dsw_
      coupl(nGC_6803) = coupl(nGC_1)*dZbL_QCD2
      coupl(nGC_4478) = coupl(nGC_4477)*dsw_
      coupl(nGC_6776) = coupl(nGC_23)*(dZbL_QCD2 + dZtL_QCD2)/2d0
      coupl(nGC_4216) = coupl(nGC_11)**2d0*coupl(nGC_98)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4215) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0 &
                         - cMD**2d0 - cMS**2d0 - cMT**2d0 - cMU**2d0)/(16d0*pi &
                        **2d0*Nc)
      coupl(nGC_4214) = cima*coupl(nGC_10)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_4213) = cima*sq2**2d0*(-Nc*coupl(nGC_10)**2d0 + 4d0*coupl(     &
                        nGC_11)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_4212) = cima*coupl(nGC_11)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0  &
                         + cMD**2d0 + cMS**2d0 + cMT**2d0 + cMU**2d0)/(16d0*pi &
                        **2d0)
      coupl(nGC_4211) = -Nc*cima*coupl(nGC_10)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_4210) = cima*sq2**2d0*(Nc*coupl(nGC_10)**2d0 - 4d0*coupl(nGC_11&
                        )**2d0)/(64d0*pi**2d0)
      coupl(nGC_4219) = coupl(nGC_11)**2d0*coupl(nGC_92)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4218) = coupl(nGC_1)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_4186) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_23)**2d0 - coupl( &
                        nGC_42)**2d0 - coupl(nGC_45)**2d0 - coupl(nGC_48)**2d0 &
                         - coupl(nGC_77)**2d0)/(16d0*pi**2d0)
      coupl(nGC_4185) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(64d0&
                        *pi**2d0*Nc)
      coupl(nGC_7632) = coupl(nGC_95)*(dZcL_QCD2 + dZcR_QCD2)/2d0
      coupl(nGC_6675) = coupl(nGC_4)*dZWMinus/2d0
      coupl(nGC_6674) = coupl(nGC_4599) + coupl(nGC_56)*dZWpMinus/2d0 + coupl( &
                        nGC_56)*dZmuMinusR/2d0 + coupl(nGC_56)*dZnu_tauR/2d0
      coupl(nGC_4188) = cMB*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
    end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
