!******************************************************************************!
!                                                                              !
!    fill_ctcouplings5.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings5.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 05/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-15 15:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings5
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl5()
      coupl(nGC_4204) = cMS*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_4227) = coupl(nGC_11)**2d0*coupl(nGC_93)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_6436) = coupl(nGC_4461) + coupl(nGC_98)*dZcR_QCD2/2d0 + coupl( &
                        nGC_98)*dZdL_QCD2/2d0
      coupl(nGC_6705) = coupl(nGC_4537) + coupl(nGC_59)*dZWpMinus/2d0
      coupl(nGC_6432) = coupl(nGC_1)*dZsL_QCD2
      coupl(nGC_6890) = coupl(nGC_74)*dZtR_QCD2
      coupl(nGC_4254) = coupl(nGC_11)**2d0*coupl(nGC_24)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_7584) = coupl(nGC_11)*dZsR_QCD2
      coupl(nGC_7585) = coupl(nGC_11)*dZsL_QCD2
      coupl(nGC_6552) = coupl(nGC_66)*(dZbR_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_4510) = coupl(nGC_4509)*dcw_
      coupl(nGC_7602) = coupl(nGC_94)*(dZbL_QCD2 + dZbR_QCD2)/2d0
      coupl(nGC_6558) = coupl(nGC_23)*dZWMinus/2d0 + coupl(nGC_23)*dZmuMinusL/ &
                        2d0 + coupl(nGC_23)*dZnu_muL/2d0 + coupl(nGC_4614)
      coupl(nGC_6559) = coupl(nGC_MI)*dZA
      coupl(nGC_4371) = coupl(nGC_4369)*dcw_ + coupl(nGC_4370)*dsw_
      coupl(nGC_8777) = coupl(nGC_MI)*dZdR_QCD2
      coupl(nGC_6411) = coupl(nGC_4386) + coupl(nGC_99)*dZdR_QCD2/2d0 + coupl( &
                        nGC_99)*dZuL_QCD2/2d0
      coupl(nGC_6416) = coupl(nGC_4508) + coupl(nGC_9)*dZWMinus/2d0 + coupl(   &
                        nGC_9)*dZZ/2d0
      coupl(nGC_6664) = coupl(nGC_105)*dZeMinusR/2d0 + coupl(nGC_105)*dZnu_eL/ &
                        2d0 + coupl(nGC_4436)
      coupl(nGC_4258) = coupl(nGC_11)**2d0*coupl(nGC_48)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_8297) = coupl(nGC_78)*dZcL_QCD2
      coupl(nGC_8112) = coupl(nGC_MI)*dZsL_QCD2
      coupl(nGC_4262) = coupl(nGC_11)**2d0*coupl(nGC_61)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4259) = coupl(nGC_11)**2d0*coupl(nGC_66)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4299) = coupl(nGC_11)*sq2*(-coupl(nGC_43)*coupl(nGC_46) - coupl&
                        (nGC_44)*coupl(nGC_47) - coupl(nGC_45)*coupl(nGC_48))/(&
                        16d0*pi**2d0*Nc)
      coupl(nGC_4298) = coupl(nGC_11)*sq2*(-coupl(nGC_61)*coupl(nGC_64) - coupl&
                        (nGC_62)*coupl(nGC_65) - coupl(nGC_63)*coupl(nGC_66))/(&
                        16d0*pi**2d0*Nc)
      coupl(nGC_4297) = coupl(nGC_11)*sq2*(coupl(nGC_43)*coupl(nGC_46) + coupl(&
                        nGC_44)*coupl(nGC_47) + coupl(nGC_45)*coupl(nGC_48))/( &
                        16d0*pi**2d0)
      coupl(nGC_4296) = coupl(nGC_11)*sq2*(coupl(nGC_61)*coupl(nGC_64) + coupl(&
                        nGC_62)*coupl(nGC_65) + coupl(nGC_63)*coupl(nGC_66))/( &
                        16d0*pi**2d0)
      coupl(nGC_4295) = coupl(nGC_11)*sq2*(-coupl(nGC_58)*coupl(nGC_60) - coupl&
                        (nGC_61)*coupl(nGC_63) - coupl(nGC_64)*coupl(nGC_66))/(&
                        16d0*pi**2d0*Nc)
      coupl(nGC_4553) = coupl(nGC_4552)*dsw_
      coupl(nGC_4293) = coupl(nGC_11)*sq2*(coupl(nGC_58)*coupl(nGC_60) + coupl(&
                        nGC_61)*coupl(nGC_63) + coupl(nGC_64)*coupl(nGC_66))/( &
                        16d0*pi**2d0)
      coupl(nGC_4291) = coupl(nGC_11)*sq2*(-coupl(nGC_41)*coupl(nGC_42) - coupl&
                        (nGC_44)*coupl(nGC_45) - coupl(nGC_47)*coupl(nGC_48))/(&
                        16d0*pi**2d0*Nc)
      coupl(nGC_4290) = coupl(nGC_11)*sq2*(-coupl(nGC_59)*coupl(nGC_60) - coupl&
                        (nGC_62)*coupl(nGC_63) - coupl(nGC_65)*coupl(nGC_66))/(&
                        16d0*pi**2d0*Nc)
      coupl(nGC_4450) = coupl(nGC_4449)*dytau_QED1
      coupl(nGC_4453) = coupl(nGC_4451)*dyup_QED1
      coupl(nGC_4452) = coupl(nGC_4451)*dyup_QED1_QCD2
      coupl(nGC_4459) = coupl(nGC_4457)*dyup_QED1
      coupl(nGC_4513) = coupl(nGC_4511)*dvev_QEDM1 + coupl(nGC_4512)*dcw_
      coupl(nGC_6527) = coupl(nGC_11)*dZtR_QCD2
      coupl(nGC_8688) = coupl(nGC_MI)*dZtR_QCD2
      coupl(nGC_6521) = coupl(nGC_77)*dZdL_QCD2
      coupl(nGC_8686) = coupl(nGC_MI)*dZtL_QCD2
      coupl(nGC_183) = -cima/(2d0*cMW)
      coupl(nGC_187) = 1d0/(2d0*cMZ)
      coupl(nGC_4583) = coupl(nGC_4582)*dsw_
      coupl(nGC_4456) = coupl(nGC_4454)*dyup_QED1
      coupl(nGC_4647) = cima*dMWp2
      coupl(nGC_8114) = coupl(nGC_MI)*dZsR_QCD2
      coupl(nGC_4334) = coupl(nGC_11)*sq2*(coupl(nGC_40)*coupl(nGC_46) + coupl(&
                        nGC_41)*coupl(nGC_47) + coupl(nGC_42)*coupl(nGC_48))/( &
                        16d0*pi**2d0)
      coupl(nGC_6887) = coupl(nGC_78)*dZtL_QCD2
    end subroutine fill_CTcouplings_mdl5
end module fill_ctcouplings5
