!******************************************************************************!
!                                                                              !
!    fill_ctcouplings9.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings9.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 05/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-15 15:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings9
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl9()
      coupl(nGC_4300) = coupl(nGC_11)*sq2*(coupl(nGC_125)*coupl(nGC_98) + coupl&
                        (nGC_126)*coupl(nGC_97) + 4d0*coupl(nGC_58)*coupl(     &
                        nGC_61) + 4d0*coupl(nGC_59)*coupl(nGC_62) + 4d0*coupl( &
                        nGC_60)*coupl(nGC_63))/(64d0*pi**2d0)
      coupl(nGC_4303) = coupl(nGC_11)*sq2*(-coupl(nGC_24)*coupl(nGC_71) - coupl&
                        (nGC_24)*coupl(nGC_72) - coupl(nGC_40)*coupl(nGC_43) - &
                        coupl(nGC_41)*coupl(nGC_44) - coupl(nGC_42)*coupl(     &
                        nGC_45))/(16d0*pi**2d0*Nc)
      coupl(nGC_4650) = coupl(nGC_187)*dMZ2
      coupl(nGC_7289) = coupl(nGC_4521) + coupl(nGC_85)*dZH + coupl(nGC_85)*dZZ
      coupl(nGC_4577) = coupl(nGC_4576)*dsw_
      coupl(nGC_7285) = coupl(nGC_104)*dZdR_QCD2/2d0 + coupl(nGC_104)*dZsL_QCD2&
                        /2d0 + coupl(nGC_4415)
      coupl(nGC_7284) = coupl(nGC_116)*dZdL_QCD2/2d0 + coupl(nGC_116)*dZsR_QCD2&
                        /2d0 + coupl(nGC_4418)
      coupl(nGC_7448) = coupl(nGC_6547) + coupl(nGC_7445)
      coupl(nGC_7447) = coupl(nGC_6547) + coupl(nGC_7444)
      coupl(nGC_4629) = coupl(nGC_4627)*dcw_ + coupl(nGC_4628)*dsw_
      coupl(nGC_4623) = coupl(nGC_4621)*dcw_ + coupl(nGC_4622)*dsw_
      coupl(nGC_4620) = coupl(nGC_4618)*dcw_ + coupl(nGC_4619)*dsw_
      coupl(nGC_4626) = coupl(nGC_4624)*dcw_ + coupl(nGC_4625)*dsw_
      coupl(nGC_4402) = coupl(nGC_4400)*dys_QED1
      coupl(nGC_4392) = coupl(nGC_4391)*dydo_QED1_QCD2
      coupl(nGC_4393) = coupl(nGC_4391)*dydo_QED1
      coupl(nGC_4396) = coupl(nGC_4394)*dydo_QED1
      coupl(nGC_4395) = coupl(nGC_4394)*dydo_QED1_QCD2
      coupl(nGC_7807) = coupl(nGC_MB)*(dZbL_QCD2 + dZbR_QCD2)/2d0
      coupl(nGC_7806) = coupl(nGC_MI)*dZbL_QCD2
      coupl(nGC_6470) = coupl(nGC_4629) + coupl(nGC_80)*dZZ/2d0 + coupl(nGC_80 &
                        )*dZnu_tauL
      coupl(nGC_6475) = coupl(nGC_64)*(dZdR_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_6477) = coupl(nGC_4559) + coupl(nGC_46)*dZWpMinus/2d0
      coupl(nGC_8401) = coupl(nGC_4640) + coupl(nGC_8398)
      coupl(nGC_6478) = coupl(nGC_4557) + coupl(nGC_64)*dZWpMinus/2d0
      coupl(nGC_4494) = coupl(nGC_4492)*dvev_QEDM1 + coupl(nGC_4493)*dsw_
      coupl(nGC_4497) = coupl(nGC_4496)*dsw_
      coupl(nGC_4491) = coupl(nGC_4490)*dsw_
      coupl(nGC_4276) = coupl(nGC_11)**2d0*coupl(nGC_78)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4271) = coupl(nGC_11)**2d0*coupl(nGC_65)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4279) = -coupl(nGC_11)*sq2*(coupl(nGC_58)*coupl(nGC_60) + coupl&
                        (nGC_61)*coupl(nGC_63) + coupl(nGC_64)*coupl(nGC_66))/(&
                        16d0*pi**2d0*Nc)
      coupl(nGC_4278) = -coupl(nGC_11)*sq2*(coupl(nGC_40)*coupl(nGC_42) + coupl&
                        (nGC_43)*coupl(nGC_45) + coupl(nGC_46)*coupl(nGC_48))/(&
                        16d0*pi**2d0*Nc)
      coupl(nGC_4476) = coupl(nGC_4475)*dsw_
      coupl(nGC_4474) = coupl(nGC_4472)*dyt_QED1
      coupl(nGC_4473) = coupl(nGC_4472)*dyt_QED1_QCD2
      coupl(nGC_6614) = -coupl(nGC_6547)
      coupl(nGC_6612) = coupl(nGC_23)*dZWMinus/2d0 + coupl(nGC_23)*dZeMinusL/  &
                        2d0 + coupl(nGC_23)*dZnu_eL/2d0 + coupl(nGC_4614)
      coupl(nGC_7108) = 2d0*coupl(nGC_15)*dZH + coupl(nGC_4341)
      coupl(nGC_11979) = -coupl(nGC_4320)
      coupl(nGC_11977) = -coupl(nGC_4321)
      coupl(nGC_6683) = coupl(nGC_4458) + coupl(nGC_6682)
      coupl(nGC_6684) = coupl(nGC_123)*dZH/2d0 + coupl(nGC_4459)
      coupl(nGC_7620) = coupl(nGC_20)*dZH/2d0 + coupl(nGC_20)*dZWMinus/2d0 +   &
                        coupl(nGC_4489)
      coupl(nGC_6689) = coupl(nGC_33)*dZWpMinus/2d0 + coupl(nGC_33)*dZnu_eL/2d0&
                         + coupl(nGC_33)*dZtauMinusL/2d0 + coupl(nGC_4579)
      coupl(nGC_6489) = coupl(nGC_40)*dZWpMinus/2d0 + coupl(nGC_4533)
      coupl(nGC_6437) = coupl(nGC_MI)*dZWMinus
      coupl(nGC_6568) = coupl(nGC_24)*dZWMinus/2d0 + coupl(nGC_4608)
      coupl(nGC_6389) = coupl(nGC_115)*dZdL_QCD2/2d0 + coupl(nGC_115)*dZsR_QCD2&
                        /2d0 + coupl(nGC_4404)
      coupl(nGC_4612) = coupl(nGC_4611)*dsw_
      coupl(nGC_4617) = coupl(nGC_4615)*dcw_ + coupl(nGC_4616)*dsw_
    end subroutine fill_CTcouplings_mdl9
end module fill_ctcouplings9
