!******************************************************************************!
!                                                                              !
!    vertices_info5.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info5.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 05/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-15 15:53             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info5
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl5()
      allocate(vertices(860)%branchR2(0:0))
      call avR2(860, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_4259, nGC_4258])

      allocate(vertices(234)%branchR2(0:0))
      call avR2(234, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_4246, nGC_4245])

      allocate(vertices(303)%branchR2(0:0))
      call avR2(303, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_4271, nGC_4270])

      allocate(vertices(686)%branchR2(0:0))
      call avR2(686, 0, 21, 1, 0, VFaF0, 0, [2, 1], [nGC_4257, nGC_4256])

      allocate(vertices(1325)%branchR2(0:0))
      call avR2(1325, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_4240, nGC_4241])

      allocate(vertices(1249)%branchR2(0:3))
      call avR2(1249, 0, 24, 1, 0, FaFV0, 0, [1, 2], [nGC_4287, nGC_4285])

      call avR2(1249, 1, 24, 1, 0, FaFV0, 0, [3, 0], [nGC_4286, nGC_4286])

      call avR2(1249, 2, 25, 1, 0, FaFV0, 0, [1, 2], [nGC_4284, nGC_4282])

      call avR2(1249, 3, 25, 1, 0, FaFV0, 0, [3, 0], [nGC_4283, nGC_4283])

      allocate(vertices(275)%branchR2(0:3))
      call avR2(275, 0, 24, 1, 0, FaFV0, 0, [1, 2], [nGC_4307, nGC_4306])

      call avR2(275, 1, 24, 1, 0, FaFV0, 0, [3, 0], [nGC_4286, nGC_4286])

      call avR2(275, 2, 25, 1, 0, FaFV0, 0, [1, 2], [nGC_4305, nGC_4304])

      call avR2(275, 3, 25, 1, 0, FaFV0, 0, [3, 0], [nGC_4283, nGC_4283])

      allocate(vertices(388)%branchR2(0:0))
      call avR2(388, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_4218, nGC_4218])

      allocate(vertices(772)%branchR2(0:0))
      call avR2(772, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_4254])

      allocate(vertices(947)%branchR2(0:0))
      call avR2(947, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_4226, nGC_4227])

      allocate(vertices(1444)%branchR2(0:1))
      call avR2(1444, 0, 29, 1, 0, VFFa0, 0, [1, 2], [nGC_4298, nGC_4299])

      call avR2(1444, 1, 28, 1, 0, VFFa0, 0, [1, 2], [nGC_4296, nGC_4297])

      allocate(vertices(1445)%branchR2(0:1))
      call avR2(1445, 0, 29, 1, 0, VFFa0, 0, [1, 2], [nGC_4333, nGC_4332])

      call avR2(1445, 1, 28, 1, 0, VFFa0, 0, [1, 2], [nGC_4335, nGC_4334])

      allocate(vertices(37)%branchR2(0:0))
      call avR2(37, 0, 19, 1, 0, FaFV0, 0, [2, 1], [nGC_4259, nGC_4258])

      allocate(vertices(1017)%branchR2(0:0))
      call avR2(1017, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_4252])

      allocate(vertices(1023)%branchR2(0:0))
      call avR2(1023, 0, 19, 1, 0, FaFV0, 0, [2, 1], [nGC_4277, nGC_4276])

      allocate(vertices(883)%branchR2(0:0))
      call avR2(883, 0, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_4240, nGC_4241])

      allocate(vertices(730)%branchR2(0:0))
      call avR2(730, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_4220, nGC_4219])

      allocate(vertices(635)%branchR2(0:0))
      call avR2(635, 0, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_4275, nGC_4274])

      allocate(vertices(1446)%branchR2(0:1))
      call avR2(1446, 0, 22, 1, 0, FVFa0, 0, [1, 2], [nGC_4293, nGC_4292])

      call avR2(1446, 1, 23, 1, 0, FVFa0, 0, [1, 2], [nGC_4295, nGC_4294])

      allocate(vertices(609)%branchR2(0:0))
      call avR2(609, 0, 20, 1, 0, VFFa0, 0, [2, 1], [nGC_4217, nGC_4217])

      allocate(vertices(563)%branchR2(0:0))
      call avR2(563, 0, 17, 1, 0, FVFa0, 0, [2, 1], [nGC_4273, nGC_4272])

      allocate(vertices(582)%branchR2(0:0))
      call avR2(582, 0, 19, 1, 0, FaFS0, 0, [2, 1], [nGC_4220, nGC_4219])

      allocate(vertices(627)%branchR2(0:0))
      call avR2(627, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_4219, nGC_4220])

      allocate(vertices(1328)%branchR2(0:0))
      call avR2(1328, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_4217, nGC_4217])

      allocate(vertices(1447)%branchR2(0:1))
      call avR2(1447, 0, 27, 1, 0, FaVF0, 0, [1, 2], [nGC_4298, nGC_4299])

      call avR2(1447, 1, 26, 1, 0, FaVF0, 0, [1, 2], [nGC_4296, nGC_4297])

      allocate(vertices(112)%branchR2(0:0))
      call avR2(112, 0, 18, 1, 0, FaSF1, 0, [2, 1], [nGC_4216])

      allocate(vertices(1009)%branchR2(0:0))
      call avR2(1009, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_4273, nGC_4272])

      allocate(vertices(541)%branchR2(0:0))
      call avR2(541, 0, 17, 1, 0, FSFa1, 0, [2, 1], [nGC_4225])

      allocate(vertices(662)%branchR2(0:0))
      call avR2(662, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_4243, nGC_4243])

      allocate(vertices(1057)%branchR2(0:0))
      call avR2(1057, 0, 17, 1, 0, FSFa0, 0, [2, 1], [nGC_4221, nGC_4222])

      allocate(vertices(1448)%branchR2(0:1))
      call avR2(1448, 0, 11, 1, 0, FFaV1, 0, [1, 2], [nGC_4300, nGC_4301])

      call avR2(1448, 1, 12, 1, 0, FFaV1, 0, [1, 2], [nGC_4302, nGC_4303])

      allocate(vertices(165)%branchR2(0:0))
      call avR2(165, 0, 18, 1, 0, FaSF1, 0, [2, 1], [nGC_4225])

      allocate(vertices(1449)%branchR2(0:1))
      call avR2(1449, 0, 11, 1, 0, FFaV1, 0, [1, 2], [nGC_4318, nGC_4319])

      call avR2(1449, 1, 12, 1, 0, FFaV1, 0, [1, 2], [nGC_4316, nGC_4317])

    end subroutine fill_vertices_mdl5
end module vertices_info5
